#### 3.4.2 Options for `delta`

`-gsid-List`

  The specified list of deltas are to be ignored when the version being checked in is retrieved using `get`. The list is a list of SIDs separated by commas, or can contain ranges of SIDs (these are indicated by a dash). Untested.

`-mmr-list`

  Specify the indicated list of MR numbers (separated by spaces) for this change (see Modification Request Numbers). If the v flag (see Flags) is set, `delta` will prompt for MR numbers if none are given on the command line. If the v flag has a non-empty value, as opposed to just being set, then the supplied list of MR numbers will be verified using that program. The requested delta will not be made if this validation fails (the validation program returns a nonzero exit status).

  When the v flag is set, deltas must be checked in using this flag. If you are using Emacs’s vc-mode, you can do this by setting the variable vc-checkin-flags to `"-m2677"` if the MR with which you are working is numbered 2677, for example.

`-n`

  If this option is given, the edited file is not deleted once processing has succeeded. The edited file is referred to as the “g-file”, since it is the file which was previously “gotten” by the `get` command.

`-p`

  Display the differences between the old and new versions of the file during processing. The output of `diff` is echoed on the standard output.

`-r`

  If several versions are checked out, the `-r` command-line option is used to specify which checked-out version this change is in reference to. When `get` is used to check out a version for editing, it announces two SIDs:-

      3.1
      new delta 3.2
      402 lines

  One identifies the version forming the basis of the change, and the other specifies the SID that the new version will be assigned once it is checked in again. Either of these two SIDs (in this case, 3.1 or 3.2) can be used for the `-r` option of `delta`.

`-s`

  Suppress warning or confirmation messages. Error messages go to standard error. This option is not covered in the test suite.

`-y`

  Specify a comment for the revision log. This option is usually quoted to protect the spaces contained in it. An empty comment can be specified by just using a naked `-y`. If this option is not given on the command line, `delta` will prompt the user for a comment.